#-------------------------------------------------
#
# Project created by QtCreator 2012-11-24T21:01:46
#
#-------------------------------------------------

QT += core gui network multimedia

SSLver = 1.1.1m

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = MultiVNC-Qt
TEMPLATE = app

SOURCES += main.cpp\
	configuration.cpp \
	encryption.cpp \
	getlasterrormsg.cpp \
	gpl3license.cpp \
	individualsettings.cpp \
	iptoqstring.cpp \
	linecompleter.cpp \
	mainwindow.cpp \
	pingresult.cpp \
	pingtask.cpp \
	3rdparty/qcustomplot.cpp \
	rdploginquery.cpp \
	settings.cpp \
	textviewer.cpp \
	timingtweaks.cpp \
	valueslider.cpp \
	winactions.cpp \
	wmic.cpp

HEADERS  += mainwindow.h \
	configuration.h \
	individualsettings.h \
	linecompleter.h \
	pingresult.h \
	pingtask.h \
	3rdparty/qcustomplot.h \
	textviewer.h \
	timingtweaks.h \
	valueslider.h \
	version.h \
	wbemdisp.h

FORMS    += Forms/mainwindow.ui \
	Forms/configuration.ui \
	Forms/individualsettings.ui \
	Forms/pingresult.ui \
	Forms/textviewer.ui \
	Forms/timingtweaks.ui

RC_ICONS = ping-pong.ico

# Don't let QCustomPlot generate a need for Qt5PrintSupport.dll
# This is for the old version 1.3.2 used, wouldn't work for version 2.x
DEFINES += QT_NO_PRINTER QT_NO_PRINTDIALOG QT_NO_PRINTPREVIEWWIDGET

CONFIG += warn_on

CONFIG -= qml_debug
CONFIG -= qtquickcompiler

# Qt Creator 4.11.0 requires this for MinGW builds
CONFIG *= debug_and_release
CONFIG *= debug_and_release_target

COMPDIR = $$(QTDIR)
contains(COMPDIR, ".*msvc2017.*") {
	COMP = VC2017
	DEFINES += BUILT_WITH_MSVC15
 	QMAKE_CXXFLAGS += /std:c++latest
	LIBEXT = lib
	}
contains(COMPDIR, ".*msvc2019.*") {
	COMP = VC2019
	DEFINES += BUILT_WITH_MSVC16
	QMAKE_CXXFLAGS += /std:c++latest
	LIBEXT = lib
	}

# Check "Add build library to search path" in project settings
# so OpenSSL DLLs are found when running in Qt Creator.
contains(COMPDIR, ".*64.*") {
	LIBS += -LC:\Comp\OpenSSL-Win64-$$SSLver\bin
	}
contains(COMPDIR, ".*32.*") {
	LIBS += -LC:\Comp\OpenSSL-Win32-$$SSLver\bin
	}

Debug: {
	DEFINES += DEBUG_VER
	}

# icmpapi.h is included with MinGW but not MSVC
# WbemDisp.h violates strict strings rule.  /Zc:strictStrings- fixes
# compile errors but generates a warning that cannot be turned off.
# Dummy empty version of file works, so /Zc:strictStrings- is not needed.
win32-msvc* {
	HEADERS += wininclude\icmpapi.h
	CONFIG += no_batch
#	QMAKE_CXXFLAGS += /Zc:strictStrings-
	OTHER_FILES += multivnc-qt.rc
	RC_FILE = multivnc-qt.rc
	LIBS += user32.lib crypt32.lib ws2_32.lib iphlpapi.lib advapi32.lib wtsapi32.lib
	LIBS += wbemuuid.lib credui.lib comsuppw.lib mpr.lib
	}

# Following fix is obsolete, instead add C:\Program Files (x86)\Windows Kits\10\bin\10.0.15063.0\x86
# or later version to end of system path.  Otherwise, link may be done when not needed.
# This fixes unable to find rc.exe error with Visual Studio 2015
#win32-msvc2015 {
#	QMAKE_EXTRA_TARGETS += customtarget1
#	customtarget1.target = dummy
#	customtarget1.commands = set PATH=C:\Program Files (x86)\Windows Kits\10\bin\10.0.15063.0\X64\;$(PATH)
#	PRE_TARGETDEPS += dummy
#	}

win32-g++ {
	error("MinGW doesn't support WTSOpenServerExA so a Microsoft compiler is required")
	LIBS += libws2_32 libiphlpapi libcrypt32
	LIBS += libole32 libwbemuuid liboleaut32 libwtsapi32
	}

RESOURCES += \
	mvcsounds.qrc
