// This file is part of MultiVnc-Qt.  MultiVnc-Qt is copyright 2012-2022
// by Robert W. Babcock and WSS Division of DDC and is distributed under
// the terms of the GNU General Public License.  Contact the author at
// wssddc@wssddc.com or see the project web page at
// <https://www.wssddc.com/multivnc/>.
//
// MultiVnc-Qt uses the open source Qt toolkit from the Qt Project
// (qt-project.org) and The Qt Company (www.qt.io).
//
// MultiVnc-Qt is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// MultiVnc-Qt is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with MultiVnc-Qt.  If not, see <https://www.gnu.org/licenses/>.

#ifndef CONFIGURATION_H
#define CONFIGURATION_H

#include <QWidget>
#include <QLineEdit>

class MainWindow;

namespace Ui {
	class configuration;
	}

class configuration : public QWidget
	{
		Q_OBJECT

public:
	explicit configuration(QWidget *parent = nullptr);
	~configuration() override;
	void populateForm();
	QString getFileName(QString title, QString defaultName, QStringList filters);

private:
	Ui::configuration *ui;
	void restoreSettings();

private slots:
	void slot_applySettings();
	void slot_browseHwPath();
	void slot_browseVNCpath();
	void slot_defaultMSLogonSettingChanged();
	void slot_defaultOSchanged(QString newvalue);
	void slot_exitClicked();
	void slot_hidePasswordSettingChanged();
	void slot_ngraphChanged(int newvalue);
	void slot_maxSessionChanged(int newvalue);
	void slot_saveSettingsClicked();
	void slot_volumeChanged();
	void slot_timingTweaksClicked();
	};

#endif // CONFIGURATION_H
