// This file is part of MultiVnc-Qt.  MultiVnc-Qt is copyright 2012-2022
// by Robert W. Babcock and WSS Division of DDC and is distributed under
// the terms of the GNU General Public License.  Contact the author at
// wssddc@wssddc.com or see the project web page at
// <https://www.wssddc.com/multivnc/>.
//
// MultiVnc-Qt uses the open source Qt toolkit from the Qt Project
// (qt-project.org) and The Qt Company (www.qt.io).
//
// MultiVnc-Qt is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// MultiVnc-Qt is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with MultiVnc-Qt.  If not, see <https://www.gnu.org/licenses/>.

#include "Windows.h"

#include <QString>

QString getLastErrorMsg() {
	 LPWSTR bufPtr = nullptr;
	 DWORD err = GetLastError();
	 FormatMessageW(FORMAT_MESSAGE_ALLOCATE_BUFFER |
						 FORMAT_MESSAGE_FROM_SYSTEM |
						 FORMAT_MESSAGE_IGNORE_INSERTS,
						 nullptr, err, 0, reinterpret_cast<LPWSTR>(&bufPtr), 0, nullptr);
	 const QString result =
		  (bufPtr) ? QString::fromUtf16(reinterpret_cast<const ushort*>(bufPtr)).trimmed() :
						 QString("Unknown Error %1").arg(err);
	 LocalFree(bufPtr);
	 return result;
}
