// This file is part of MultiVnc-Qt.  MultiVnc-Qt is copyright 2012-2022
// by Robert W. Babcock and WSS Division of DDC and is distributed under
// the terms of the GNU General Public License.  Contact the author at
// wssddc@wssddc.com or see the project web page at
// <https://www.wssddc.com/multivnc/>.
//
// MultiVnc-Qt uses the open source Qt toolkit from the Qt Project
// (qt-project.org) and The Qt Company (www.qt.io).
//
// MultiVnc-Qt is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// MultiVnc-Qt is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with MultiVnc-Qt.  If not, see <https://www.gnu.org/licenses/>.

#ifndef VERSION_H
#define VERSION_H

// Make sure there's a single space before the version numbers.
// The installer build script parses these lines and is picky.
#define MVNC_MAJOR 2
#define MVNC_MINOR 2

#define STR(x) #x
#define XSTR(x) STR(x)
#define MVNC_VERSION XSTR(MVNC_MAJOR) "." XSTR(MVNC_MINOR)

#define MVNC_DATE		"2022-April-17"

#define VERSION_CHECK_URL	"https://www.wssddc.com/wss-ddc/LatestMvncVersion.txt"
#define WEB_LINK				"https://www.wssddc.com/multivnc-qt/"

#ifdef BUILT_WITH_MSVC15
	#ifdef VER_64_BIT
		#define BUILT_WITH "Visual C++ 2017 (64-bit)"
	#else
		#define BUILT_WITH "Visual C++ 2017 (32-bit)"
	#endif
#endif
#ifdef BUILT_WITH_MSVC16
	#ifdef VER_64_BIT
		#define BUILT_WITH "Visual C++ 2019 (64-bit)"
	#else
		#define BUILT_WITH "Visual C++ 2019 (32-bit)"
	#endif
#endif

#endif // VERSION_H
